## ros-lunar-mavros 0.29.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  angles
  diagnostic_msgs
  diagnostic_updater
  eigen_conversions
  geographic_msgs
  geometry_msgs
  libmavconn
  mavros_msgs
  nav_msgs
  pluginlib
  rosconsole_bridge
  roscpp
  sensor_msgs
  std_msgs
  std_srvs
  tf2_eigen
  tf2_ros
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)

## Find Eigen
find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})
endif()

## Find GeographicLib
find_package(GeographicLib REQUIRED)

## Check if the datasets are installed
include(CheckGeographicLibDatasets)

include(EnableCXX11)
include(MavrosMavlink)

# detect if sensor_msgs has BatteryState.msg
# http://answers.ros.org/question/223769/how-to-check-that-message-exists-with-catkin-for-conditional-compilation-sensor_msgsbatterystate/
list(FIND sensor_msgs_MESSAGE_FILES "msg/BatteryState.msg" BATTERY_STATE_MSG_IDX)
if(${BATTERY_STATE_MSG_IDX} GREATER -1)
  add_definitions(
    -DHAVE_SENSOR_MSGS_BATTERYSTATE_MSG
  )
endif()

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()


###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES mavros
  CATKIN_DEPENDS diagnostic_msgs diagnostic_updater eigen_conversions geographic_msgs geometry_msgs libmavconn mavros_msgs message_runtime nav_msgs pluginlib roscpp sensor_msgs std_msgs tf2_ros
  DEPENDS Boost EIGEN3 GeographicLib
)

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${mavlink_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
  ${GeographicLib_INCLUDE_DIRS}
)

add_library(mavros
  src/lib/enum_sensor_orientation.cpp
  src/lib/enum_to_string.cpp
  src/lib/ftf_frame_conversions.cpp
  src/lib/ftf_quaternion_utils.cpp
  src/lib/mavlink_diag.cpp
  src/lib/mavros.cpp
  src/lib/rosconsole_bridge.cpp
  src/lib/uas_data.cpp
  src/lib/uas_stringify.cpp
  src/lib/uas_timesync.cpp
)
add_dependencies(mavros
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(mavros
  atomic
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${GeographicLib_LIBRARIES}
)

add_library(mavros_plugins
  src/plugins/3dr_radio.cpp
  src/plugins/actuator_control.cpp
  src/plugins/altitude.cpp
  src/plugins/command.cpp
  src/plugins/dummy.cpp
  src/plugins/ftp.cpp
  src/plugins/global_position.cpp
  src/plugins/hil.cpp
  src/plugins/home_position.cpp
  src/plugins/imu.cpp
  src/plugins/local_position.cpp
  src/plugins/manual_control.cpp
  src/plugins/param.cpp
  src/plugins/rc_io.cpp
  src/plugins/safety_area.cpp
  src/plugins/setpoint_accel.cpp
  src/plugins/setpoint_attitude.cpp
  src/plugins/setpoint_position.cpp
  src/plugins/setpoint_raw.cpp
  src/plugins/setpoint_velocity.cpp
  src/plugins/sys_status.cpp
  src/plugins/sys_time.cpp
  src/plugins/vfr_hud.cpp
  src/plugins/waypoint.cpp
  src/plugins/wind_estimation.cpp
)
add_dependencies(mavros_plugins
  mavros
)
target_link_libraries(mavros_plugins
  mavros
  ${catkin_LIBRARIES}
)

## Declare a cpp executable
add_executable(mavros_node
  src/mavros_node.cpp
)
add_dependencies(mavros_node
  mavros
)
target_link_libraries(mavros_node
  mavros
  ${catkin_LIBRARIES}
)

add_executable(gcs_bridge
  src/gcs_bridge.cpp
)
target_link_libraries(gcs_bridge
  mavros
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
file(GLOB SCRIPTS ${PROJECT_SOURCE_DIR}/scripts/*)
catkin_install_python(PROGRAMS
  ${SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS gcs_bridge mavros mavros_node mavros_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  mavros_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(libmavros-frame-conversions-test test/test_frame_conversions.cpp)
  target_link_libraries(libmavros-frame-conversions-test mavros)

  catkin_add_gtest(libmavros-sensor-orientation-test test/test_sensor_orientation.cpp)
  target_link_libraries(libmavros-sensor-orientation-test mavros)

  catkin_add_gtest(libmavros-quaternion-utils-test test/test_quaternion_utils.cpp)
  target_link_libraries(libmavros-quaternion-utils-test mavros)
## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

endif()

# vim: ts=2 sw=2 et:

=== debian/changelog ===
ros-lunar-mavros (0.29.2-0stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Mar 2019 00:00:00 -0000

ros-lunar-mavros (0.29.1-0stretch) stretch; urgency=high

  * All: catkin lint files
  * Update apm_config.yaml
    Setting thrust_scaling in the setpoint_raw message (in my case, to use /mavros/setpoint_raw/attitude)
    Without it, when using Gazebo, get the following problem
    "Recieved thrust, but ignore_thrust is true: the most likely cause of this is a failure to specify the thrust_scaling parameters on px4/apm_config.yaml. Actuation will be ignored." from the function void attitude_cb in setpoint_raw.cpp (http://docs.ros.org/kinetic/api/mavros/html/setpoint__raw_8cpp_source.html)
  * cmake: fix #1174 <https://github.com/mavlink/mavros/issues/1174>: add msg deps for package format 2
  * Issue #1174 <https://github.com/mavlink/mavros/issues/1174> Added dependency for mavros_msgs and mavros
  * Contributors: Adam Watkins, KiloNovemberDelta, Pierre Kancir, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2019 00:00:00 -0000

ros-lunar-mavros (0.29.0-0stretch) stretch; urgency=high

  * Fix broken documentation URLs
  * px4_config: set the thrust_scaling to one by default
  * local_position: add an aditional topic for velocity on the local frame
  * Merge pull request #1136 <https://github.com/mavlink/mavros/issues/1136> from angri/param-timeout
    Request timed up parameters as soon as possible
  * Merge branch 'master' into param-timeout
  * plugin:param added logging regarding rerequests
  * plugin:param fixed second and consequent timeouts in requesting list
  * mavros_extras: Wheel odometry plugin updated according to the final mavlink WHEEL_DISTANCE message.
  * mavros_extras: Wheel odometry plugin fixes after CR.
  * mavros_extras: Wheel odometry plugin added.
  * mavsys: add do_message_interval
  * sys_status: add set_message_interval service
  * lib: fix MAV_COMPONENT to_string
  * lib: update sensor orientations
  * plugin:param rerequest timed out parameters asap
    Avoid vaiting for the next timeout
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Pavlo Kolomiiets, Randy Mackay, TSC21, Vladimir Ermakov, angri

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 02 Feb 2019 00:00:00 -0000

ros-lunar-mavros (0.28.0-0stretch) stretch; urgency=high

  * plugin:param: publish new param value
  * Merge pull request #1148 <https://github.com/mavlink/mavros/issues/1148> from Kiwa21/pr-param-value
    param plugin : add msg and publisher to catch latest param value
  * sys_status: fix build
  * sys_state: Small cleanup of #1150 <https://github.com/mavlink/mavros/issues/1150>
  * VehicleInfo : add srv into sys_status plugin to request basic info from vehicle
  * sys_status: Fix #1151 <https://github.com/mavlink/mavros/issues/1151> bug - incorrect hex print
  * plugins:sys_status: Update diag decoder
  * frame_tf: mavlink_urt_to_covariance_matrix: make matrix symetrical
  * uas_data: add comment on the reverse tf fcu_frd->fcu
  * odom: add ODOMETRY handler and publisher
  * Handle LOCAL_POSITION_NED_COV messages, add pose_cov, velocity_cov, accel topics
  * sys_status : add MAV_TYPE as a parameter
  * rc_io: extend handle_servo_output_raw to 16 channels
  * param plugin : add msg and publisher to catch latest param value
  * plugin:command: Update for C++11, style fix
    Signed-off-by: Vladimir Ermakov <vooon341@gmail.com>
  * Fixed NavSatFix bug in mavcmd takeoffcur and landcur
  * Fix mavros/param.py to work in python2 and python3, #940 <https://github.com/mavlink/mavros/issues/940>
    Simplify python3 fixes, #940 <https://github.com/mavlink/mavros/issues/940>
    Remove unnecessary functools
  * Fix mavros/param.py to work in python2 and python3, #940 <https://github.com/mavlink/mavros/issues/940>
    Simplify python3 fixes, #940 <https://github.com/mavlink/mavros/issues/940>
  * Fix mavros/param.py to work in python2 and python3, #940 <https://github.com/mavlink/mavros/issues/940>
  * correct the to_string function
  * set value back to 30
  * add autogenerated to_string function
  * style clean up
  * Use component_id to determine message sender
  * change message name from COMPANION_STATUS to COMPANION_PROCESS_STATUS
  * change message to include pid
  * Change from specific avoidance status message to a more generic companion status message
  * add plugin to receive avoidance status message
  * Added RPYrT and uncrustified.
    Pushing version without spaces.
    Version with tabs?
    Fixed all?
    Finally fixed.
    Fixed requestes by @vooon
    Fixed a def.
    Fixed log format.
    Fixed time for log.
  * apm_config: enable timesync and system for ardupilot
  * Contributors: Dan Nix, Gregoire Linard, Oleg Kalachev, Randy Mackay, TSC21, Vladimir Ermakov, baumanta, fnoop, pedro-roque

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-lunar-mavros (0.27.0-0stretch) stretch; urgency=high

  * fix: a typing error "alredy" to "already"
  * plugins #1110 <https://github.com/mavlink/mavros/issues/1110> #1111 <https://github.com/mavlink/mavros/issues/1111>: add eigen aligment to plugins with eigen-typed members
  * plugins: fix style
  * with this fix ,it will avoid eigen error on 32 bits system
  * Add service to send mavlink TRIGG_INTERVAL commands
    Adapt trigger_control service to current mavlink cmd spec. Add a new service to change trigger interval and integration time
  * launch: fix #1080 <https://github.com/mavlink/mavros/issues/1080>: APM now support mocap messages
  * Contributors: Gaogeolone, Moritz Zimmermann, Vladimir Ermakov, rapsealk

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 12 Nov 2018 00:00:00 -0000

ros-lunar-mavros (0.26.3-0stretch) stretch; urgency=high

  * test: Fix sensor orientation. RPY 315 was removed in recent mavlink.
    https://github.com/mavlink/mavlink/commit/3d94bccfedc5fc7f2ffad247adecff0c2dc03501
  * lib: update generated entries


=== debian/control ===
Source: ros-lunar-mavros
Section: misc
Priority: extra
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), geographiclib-tools, libboost-all-dev, libeigen3-dev, libgeographic-dev, libgtest-dev, ros-lunar-angles, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-diagnostic-msgs, ros-lunar-diagnostic-updater, ros-lunar-eigen-conversions, ros-lunar-geographic-msgs, ros-lunar-geometry-msgs, ros-lunar-libmavconn, ros-lunar-mavlink, ros-lunar-mavros-msgs, ros-lunar-nav-msgs, ros-lunar-pluginlib, ros-lunar-rosconsole-bridge, ros-lunar-roscpp, ros-lunar-rosunit, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf2-eigen, ros-lunar-tf2-ros
Homepage: http://wiki.ros.org/mavros
Standards-Version: 3.9.2

Package: ros-lunar-mavros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geographiclib-tools, libboost-all-dev, libeigen3-dev, libgeographic-dev, ros-lunar-diagnostic-msgs, ros-lunar-diagnostic-updater, ros-lunar-eigen-conversions, ros-lunar-geographic-msgs, ros-lunar-geometry-msgs, ros-lunar-libmavconn, ros-lunar-mavlink, ros-lunar-mavros-msgs, ros-lunar-message-runtime, ros-lunar-nav-msgs, ros-lunar-pluginlib, ros-lunar-rosconsole-bridge, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf2-eigen, ros-lunar-tf2-ros
Description: MAVROS -- MAVLink extendable communication node for ROS with proxy for Ground Control Station.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-mavros//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
